Chuyển đến nội dung
Diễn đàn CADViet

Bee

Thành viên
  • Số lượng nội dung

    544
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    37

Mọi thứ được đăng bởi Bee

  1. Bee

    Block động

    Chủ thớt thử xem đúng ý chưa ? https://www.mediafire.com/file/swu8ctv3unlnqqe/test_ve_nhanh_1.dwg/file ^_^
  2. Bee

    HELP!!!! Nhờ cải tiến lisp

    Đã hiểu. Chủ thớt chỉ cần thay dòng là chuyển tọa độ center Circle chẵn bên WCS sang UCS rồi vẽ mleader theo điểm này là xong. (command "mleader" "h" p1 pause 0 (strcat "T" (rtos n 2 0))) bằng (command "mleader" "h" (trans p1 0 1) pause 0 (strcat "T" (rtos n 2 0)))
  3. Bee

    HELP!!!! Nhờ cải tiến lisp

    Mình chỉnh 1 chút chủ thớt test nhé. (defun c:dt (/ p p1 center n clayer osmode) (setvar "cmdecho" 0) (setq clayer (getvar "clayer") osmode (getvar "osmode") ) (setvar "ORTHOMODE" 1) ;;; (command "ucs" "w") (command "clayer" "8 ???") (command "cmleaderstyle" "1") (prompt "\n Ch?n v? trí di?m T ") (setq n 0) (while (setq p (getpoint)) (setq n (1+ n)) (setq p1 (list (atof (rtos (car p) 2 3)) (atof (rtos (cadr p) 2 3)) 0)) (setvar "osmode" 0) (command "circle" p1 0.05) (command "line" (polar p1 0 0.05) (polar p1 pi 0.05) "") (command "rotate" "l" "" p1 "c" 90 "") ;(command "ucs" "p") (command "mleader" "h" p1 pause 0 (strcat "T" (rtos n 2 0))) (setvar "osmode" osmode) ) ;;; (command "ucs" "p") (command "clayer" clayer) (princ) )
  4. Bee

    Xin hướng dẫn về zoom trong viewport

    Shift+chuột phải là basic mà.
  5. Bee

    HELP!!!! Nhờ cải tiến lisp

    Muốn MLead theo ucs thì quay về wcs làm gì khi dùng lệnh (command "ucs" "w") ? Nói chung là nhìn clip vẫn chưa hiểu lắm. Tọa độ làm tròn 3 sau phẩy thì dùng unit chỉnh. Mình cũng làm clip xem đúng chưa nhé. https://youtu.be/D24cxAnMToE
  6. Bee

    Xin hướng dẫn về zoom trong viewport

    Chui vào vport, gõ lệnh zoom window, bắt end point 2 điểm chéo nhau rectang màu đỏ là sẽ zoom đúng rectang đỏ. ^_^
  7. Bee

    HELP!!!! Nhờ cải tiến lisp

    Để ra Mlea màu đỏ thì mình post trên rồi bỏ ortho đi là nó tự động thành T1 đỏ theo UCS. https://uphinh.org/image/9JFgQ2
  8. Bee

    HELP!!!! Nhờ cải tiến lisp

    Không hiểu lắm ý 1 là sau 3 dấu phẩy. Ý 2 là Mleader ngang thì chỉ cần bật ortho là ngang mà: https://uphinh.org/image/9JBPbl
  9. Bee

    HELP!!!! Nhờ cải tiến lisp

    Không biết đúng ý chủ thớt ko nhỉ. Nếu đúng thì khi thao tác vẫn ở trong ucs thì thao tác bình thường với chế độ ortho là off và bỏ dòng (command "ucs" "w") là đc mà nhỉ ! ^_^
  10. Bee

    Lisp đổi màu đối tượng trong Block

    Nếu chỉ còn 1 block thì chỉnh tay sẽ nhanh hơn viết lisp. Nếu muốn tổng quát hơn thì gửi bản vẽ cụ thể vì có rất nhiều trường hợp khác xảy ra. Viết xong block này lại phát sinh cái khác thì nó vô cùng lắm. Sẽ phải làm vài cái vòng lặp 1 line màu 4 với các đối tượng còn lại line màu xanh 3 chứ không còn đơn giản như thay màu nữa đâu chủ thớt nhé. Nếu muốn nhiều hơn nữa thì có thể inbox mình.
  11. Bee

    Lisp đổi màu đối tượng trong Block

    Đổi về Layer 0 thì nó lại theo màu layer 4. (defun c:test (/ ss e blk doc) (setq doc (vla-get-activedocument (vlax-get-acad-object))) (if (setq ss (ssget ":L" '((0 . "INSERT")))) (repeat (setq i (sslength ss)) (setq e (vlax-ename->vla-object (ssname ss (setq i (1- i))))) (setq blk (vla-item (vla-get-blocks doc) (vla-get-effectivename e))) (vlax-for x blk (cond ((= (vlax-get x 'layer) "2") (vla-put-layer x "4") ) ((= (vlax-get x 'layer) "3") (vla-put-layer x "7") ) ((= (vlax-get x 'Color) 3) (vla-put-color x 256) (vla-put-layer x "0") ) ) ) ) ) (vla-regen doc acallviewports) (princ) )
  12. Bee

    Lisp đổi màu đối tượng trong Block

    Hàng về chủ thớt test nhé. ^_^ (defun c:test (/ ss e blk doc) (setq doc (vla-get-activedocument (vlax-get-acad-object))) (if (setq ss (ssget ":L" '((0 . "INSERT")))) (repeat (setq i (sslength ss)) (setq e (vlax-ename->vla-object (ssname ss (setq i (1- i))))) (setq blk (vla-item (vla-get-blocks doc) (vla-get-effectivename e))) (vlax-for x blk (cond ((= (vlax-get x 'layer) "2") (vla-put-layer x "4") ) ((= (vlax-get x 'layer) "3") (vla-put-layer x "7") ) ) ) ) ) (vla-regen doc acallviewports) (princ) )
  13.   Vào lúc 15/1/2021 tại 10:51, Bee đã nói:

    Chỉnh thì chỉnh được, hơi mất công thêm chút. Bạn gửi chút phí mình ngồi cafe rồi chỉnh cho ^_^

     

    Anh ơi nếu đùng được cả hai phương để coppy cả bảng thì chi phí thế nào ạ

     

    IB Zalo mình: 0979279072 trao đổi cụ thể nhé.

  14. Chủ thớt có thể thử cách xoay UCS, trans point sang UCS, sort theo UCS.
  15. Bee

    Lỗi phông chữ autocad

    Font time new roman voi arian ma lỗi là sao nhỉ ?
  16. Bác Hạ dạo này vướng Covid nên hơi khó ở chút xíu. Toàn vào cmt dạng này. Hí hí. ^_^ Nhiều nhóc mới lớn còn chưa biết gì sao biết đc nên đối với họ cứ cho qua đi bác Hạ. Ngứa mắt gãi hết sao đc. ^_^
  17. Bee

    TẠO NHIỀU BLOCK CÙNG MỘT LÚC

    Chủ thớt add zalo mình nhé: 0397100480
  18. Bee

    TẠO NHIỀU BLOCK CÙNG MỘT LÚC

    Chủ thớt tesCreat block ver 1 fix bns.rart lại xem. Máy mình chạy bình thường.
  19. Bee

    TẠO NHIỀU BLOCK CÙNG MỘT LÚC

    lệnh TEST đó.
  20. Bee

    TẠO NHIỀU BLOCK CÙNG MỘT LÚC

    Test cho chủ thớt. Creat block.rar Nếu đúng ý thì inbox mình cốc cafe (theo trend) ^_^
  21. Bee

    TẠO NHIỀU BLOCK CÙNG MỘT LÚC

    Thực tế chẳng ai làm công tác trục này mà mỗi trục 1 block như vậy. 1 là để nguyên text thế còn chỉnh sửa. 2 là block attribute để còn chỉnh sửa (chỉ tạo block 1 lần còn lại copy ra chỉnh) Mọi người đều viết đc lisp cho chủ thớt nhưng nó vô lý nên ko muốn viết thôi. Nhiều khi trao đổi rõ ràng về cách vẽ trong CAD có khi nhanh hơn ngồi viết lisp.
×